## git-ftp 0.9.0

=== man/Makefile ===
SHELL=/bin/sh

# files that need mode 644
MAN_FILE=man1/git-ftp.1
HTML_FILE=html/git-ftp.html

all:
	@echo "usage: make man"
	@echo "       make clean"
man:
	install -d -m 0755 man1
	pandoc -s \
		-w man git-ftp.1.md \
		-o  $(MAN_FILE)
html:
	pandoc -s -S --toc \
		-c git-ftp.css git-ftp.1.md \
		-o $(HTML_FILE)
clean:
	rm -f $(MAN_FILE)
	rm -f $(HTML_FILE)
	rmdir man1 --ignore-fail-on-non-empty

## git-ftp 0.0.20120831

=== debian/changelog ===
git-ftp (0.0.20120831-0~rzr20140825) unstable; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#git-ftp

 -- Philippe Coval <rzr@gna.org>  Mon, 25 Aug 2014 08:33:32 +0200

git-ftp (0.0.20140825-0~rzr) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#git-ftp

 -- Philippe Coval <rzr@gna.org>  Mon, 25 Aug 2014 08:33:31 +0200

git-ftp (0.0.0-0) UNRELEASED; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#git-ftp

 -- Philippe Coval <rzr@gna.org>  Mon, 25 Aug 2014 08:33:31 +0200

git-ftp (0.9.0-1) unstable; urgency=low

  [ René Moser ]
  * New upstream release.

  [ Dmitry Smirnov ]
  * Skip "dh_auto_install" to avoid shipping executable in "/bin".
  * Standards to 3.9.5.

 -- René Moser <mail@renemoser.net>  Sun, 01 Dec 2013 15:50:52 +0100

git-ftp (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- René Moser <mail@renemoser.net>  Mon, 20 Aug 2012 19:44:58 +0200

git-ftp (0.8.0+git20120623-1) unstable; urgency=low

  * New upstream release. 

 -- René Moser <mail@renemoser.net>  Sun, 24 Jun 2012 21:50:59 +0200

git-ftp (0.7.4+git20120528-1) unstable; urgency=low

  * New upstream release. 

 -- René Moser <mail@renemoser.net>  Mon, 28 May 2012 16:26:00 +0200

git-ftp (0.7.3+git20120419-1) unstable; urgency=low

  * New upstream release.

  [Dmitry Smirnov]
  * replace generated changelog with upstream one.

 -- René Moser <mail@renemoser.net>  Mon, 23 Apr 2012 10:36:41 +0200

git-ftp (0.7.2+git20120228-1) unstable; urgency=low

  * Initial release (Closes: #660011).
    Thanks to Daniel Baumann.

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 15 Apr 2012 11:51:51 +1000

=== debian/control ===
Source: git-ftp
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: René Moser <mail@renemoser.net>
Build-Depends: debhelper (>= 9), git, pandoc, perl
Standards-Version: 3.9.5
Homepage: http://github.com/git-ftp/git-ftp
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-ftp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/git-ftp.git

Package: git-ftp
Section: vcs
Architecture: all
Depends: ${misc:Depends}, bash (>= 4.2), curl, git-core
Enhances: git
Description: Git powered FTP client written as shell script
 git-ftp is a shell script for uploading Git tracked files to a FTP server. By
 default, it uploads only those files which have changed since the last upload.
 This saves time and bandwidth. It can even work with different branches.
 See manpage for more options.

Package: git-ftp-snapshot
Architecture: all
Section: utils
Depends: git-ftp (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade git-ftp
 http://rzr.online.fr/q/snapshot#git-ftp Feedback welcome

## git-ftp 0.7.2+git20120228

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE := git-ftp
MANPAGES := man/git-ftp.1
VER := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\d\.+git]+)/')
UVER := $(shell echo $(VER) | perl -ne 'print $$1 if m/\+git(\d+)/')
UVER_DATE := $(shell echo '$(UVER)' | perl -ne 'print $$1 if m/^(\d{8})/')
UVER_TIME := $(shell echo '$(UVER)' | perl -ne 'print $$1 if m/^\d{8}(\d+)/')
UVER_UDATE := $(shell date -u -d "$(UVER_DATE) $(UVER_TIME)" +%s)

%:
	dh $@

override_dh_auto_clean:
	$(RM) $(MANPAGES)

override_dh_auto_build override_dh_auto_install: $(MANPAGES)
	.

$(MANPAGES):
	pandoc --columns=84 --standalone --to=man --output=$@ $@.md
	perl -0pi -e 's{(\s)\-}{$$1\\-}sg;' $@

get-orig-source:
	#uscan --noconf --force-download --repack --rename --download-current-version --verbose --destdir=.
	@echo " Upstream version: $(UVER)\n Version: $(VER)\n UDATE: $(UVER_UDATE)"
	git clone git://github.com/resmo/git-ftp.git $(PACKAGE)-$(UVER)
	cd $(PACKAGE)-$(UVER) \
	&& git reset --hard $$(git rev-list --all -n 1 --before=$(UVER_UDATE)) \
	&& git checkout master \
	&& echo "Generating ChangeLog" \
	&& ( [ -e ChangeLog ] \
	|| git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%d%n" --date=short > ChangeLog ) \
	&& $(RM) -r .git .git* && cd .. && echo "Packing..." \
	&& tar cJf $(PACKAGE)_$(VER).orig.tar.xz $(PACKAGE)-$(UVER)
	$(RM) -r $(PACKAGE)-$(UVER)

=== debian/watch ===
# Run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=3

opts=dversionmangle=s/\+git\d+// \
http://githubredir.debian.net/github/resmo/git-ftp .*/([\d\.]+)\.tar\.(?:gz|xz|bz2)

# TO FIX: this doesn't yet work as expected
#opts=dversionmangle=s/\+git\d+// \
#https://github.com/resmo/git-ftp/tags .*/tarball/(\d[\d\.]+)

## git-ftp 0.7.4+git20120528

=== debian/control ===
Source: git-ftp
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Uploaders: René Moser <mail@renemoser.net>
Build-Depends: debhelper (>= 9), git, pandoc, perl,
Standards-Version: 3.9.3
Homepage: http://github.com/resmo/git-ftp
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-ftp.git
VCS-Git: git://anonscm.debian.org/collab-maint/git-ftp.git

Package: git-ftp
Section: vcs
Architecture: all
Depends: ${misc:Depends}, bash (>= 4.2), curl, git-core,
Enhances: git
Description: Git powered FTP client written as shell script
 git-ftp is a shell script for uploading Git tracked files to a FTP server. By
 default, it uploads only those files which have changed since the last upload.
 This saves time and bandwidth. It can even work with different branches.
 See manpage for more options.

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,15 @@
 override_dh_auto_clean:
 	$(RM) $(MANPAGES)
 
-override_dh_auto_build override_dh_auto_install: $(MANPAGES)
+override_dh_auto_build: $(MANPAGES)
 	.
 
 $(MANPAGES):
 	pandoc --columns=84 --standalone --to=man --output=$@ $@.md
 	perl -0pi -e 's{(\s)\-}{$$1\\-}sg;' $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.md
 
 get-orig-source:
 	#uscan --noconf --force-download --repack --rename --download-current-version --verbose --destdir=.
@@ -32,9 +35,6 @@
 	cd $(PACKAGE)-$(UVER) \
 	&& git reset --hard $$(git rev-list --all -n 1 --before=$(UVER_UDATE)) \
 	&& git checkout master \
-	&& echo "Generating ChangeLog" \
-	&& ( [ -e ChangeLog ] \
-	|| git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%d%n" --date=short > ChangeLog ) \
 	&& $(RM) -r .git .git* && cd .. && echo "Packing..." \
 	&& tar cJf $(PACKAGE)_$(VER).orig.tar.xz $(PACKAGE)-$(UVER)
 	$(RM) -r $(PACKAGE)-$(UVER)

=== debian/watch ===
# Run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=3

opts=dversionmangle=s/\+git\d+// \
http://githubredir.debian.net/github/resmo/git-ftp .*/([\d\.]+)\.tar\.(?:gz|xz|bz2)

# alternative (direct) method
opts=dversionmangle=s/\+git\d+// \
opts=filenamemangle=s/.*\/(\d[\d\.]+)/$1.tar.gz/ \
https://github.com/resmo/git-ftp/tags .*/tarball/(\d[\d\.]+)

## git-ftp 0.8.1

=== debian/watch ===
--- 
+++ 
@@ -8,6 +8,5 @@
 http://githubredir.debian.net/github/resmo/git-ftp .*/([\d\.]+)\.tar\.(?:gz|xz|bz2)
 
 # alternative (direct) method
-opts=dversionmangle=s/\+git\d+// \
-opts=filenamemangle=s/.*\/(\d[\d\.]+)/$1.tar.gz/ \
+opts=dversionmangle=s/\+git\d+//,filenamemangle=s/.*\/(\d[\d\.]+)/$1.tar.gz/ \
 https://github.com/resmo/git-ftp/tags .*/tarball/(\d[\d\.]+)

## git-ftp 0.9.0

=== debian/control ===
Source: git-ftp
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: René Moser <mail@renemoser.net>
Build-Depends: debhelper (>= 9), git, pandoc, perl
Standards-Version: 3.9.5
Homepage: http://github.com/git-ftp/git-ftp
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-ftp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/git-ftp.git

Package: git-ftp
Section: vcs
Architecture: all
Depends: ${misc:Depends}, bash (>= 4.2), curl, git-core
Enhances: git
Description: Git powered FTP client written as shell script
 git-ftp is a shell script for uploading Git tracked files to a FTP server. By
 default, it uploads only those files which have changed since the last upload.
 This saves time and bandwidth. It can even work with different branches.
 See manpage for more options.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANPAGES := man/git-ftp.1

%:
	dh $@

override_dh_auto_clean:
	$(RM) $(MANPAGES)

override_dh_auto_install: $(MANPAGES)
	:

$(MANPAGES):
	pandoc --columns=84 --standalone --to=man --output=$@ $@.md
	perl -0pi -e 's{(\s)\-}{$$1\\-}sg;' $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
.PHONY: get-orig-source
get-orig-source:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)

=== debian/watch ===
# uscan(1) configuration file.

version=3

opts=dversionmangle=s/\+git\d+// \
http://githubredir.debian.net/github/git-ftp/git-ftp .*/([\d\.]+)\.tar\.(?:gz|xz|bz2)

# alternative (direct) method
opts=dversionmangle=s/\+git\d+// \
 https://github.com/git-ftp/git-ftp/tags .*/archive/v?(\d[\d\.]+)\.tar\.gz

## git-ftp 1.0.2

=== Makefile ===
#! /usr/bin/make -f
SHELL=/bin/sh

DESTDIR?=/usr/local
prefix?=${DESTDIR}

# files that need mode 755
EXEC_FILES=git-ftp

# files that need mode 644
MAN_FILE=man1/git-ftp.1

all:
	@echo "usage: make install     -> installs git-ftp only"
	@echo "       make install-man -> installs man pages only"
	@echo "       make install-all -> installs git-ftp and man pages"	
	@echo "       make uninstall"
	@echo "       make uninstall-man"
	@echo "       make uninstall-all"
	@echo "       make clean"

install:
	install -d -m 0755 $(prefix)/bin
	install -m 0755 $(EXEC_FILES) $(prefix)/bin

install-man:
	install -d -m 0755 $(prefix)/man
	cd man && \
	make man && \
	install -d -m 0755 $(prefix)/man/man1 && \
	install -m 0644 $(MAN_FILE) $(prefix)/man/man1 && \
	mandb $(prefix)/man/man1

install-all: install install-man

uninstall:
	test -d $(prefix)/bin && \
	cd $(prefix)/bin && \
	rm -f $(EXEC_FILES)

uninstall-man:
	test -d $(prefix)/man && \
	cd $(prefix)/man && \
	rm -f $(MAN_FILE)
	mandb -f $(prefix)/man/$(MAN_FILE)
	rmdir --ignore-fail-on-non-empty $(prefix)/man/man1

uninstall-all: uninstall uninstall-man

clean:
	cd man && make clean

=== debian/changelog ===
git-ftp (1.0.2-1) unstable; urgency=low

  [ René Moser ]
  * New upstream release.
  * Standards to 3.9.6.

  [ Dmitry Smirnov ]
  * "debian/watch" file update.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Apr 2015 09:51:17 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
 Build-Depends: debhelper (>= 9), git, pandoc, perl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://github.com/git-ftp/git-ftp
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-ftp.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/git-ftp.git

=== debian/watch ===
# uscan(1) configuration file.

version=3

opts=dversionmangle=s/\+git\d+// \
 https://github.com/git-ftp/git-ftp/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## git-ftp 1.1.0

=== man/Makefile ===
--- 
+++ 
@@ -12,6 +12,11 @@
 	pandoc -s \
 		-w man git-ftp.1.md \
 		-o  $(MAN_FILE)
+man-ronn:
+	install -d -m 0755 man1
+	ronn --roff --pipe \
+		git-ftp.1.md \
+		> $(MAN_FILE)
 html:
 	pandoc -s -S --toc \
 		-c git-ftp.css git-ftp.1.md \

=== debian/changelog ===
git-ftp (1.1.0-1) unstable; urgency=medium

  * New upstream release [November 2015] (Closes: #818888).
  * Standards-Version: 3.9.7
  * Updated Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Mar 2016 10:36:12 +1100

## git-ftp 1.2.0

=== man/Makefile ===
SHELL=/bin/sh

# files that need mode 644
MAN_FILE=git-ftp.1
HTML_FILE=html/git-ftp.html

all:
	@echo "usage: make man"
	@echo "       make clean"
man:
	pandoc -s \
		-w man git-ftp.1.md \
		-o  $(MAN_FILE)
man-ronn:
	ronn --roff --pipe \
		git-ftp.1.md \
		> $(MAN_FILE)
html:
	pandoc -s -S --toc \
		-c git-ftp.css git-ftp.1.md \
		-o $(HTML_FILE)
clean:
	rm -f $(MAN_FILE)
	rm -f $(HTML_FILE)

=== debian/changelog ===
git-ftp (1.2.0-1) unstable; urgency=medium

  * New upstream release [March 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 03 Jul 2016 20:21:46 +1000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
 Build-Depends: debhelper (>= 9), git, pandoc, perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://github.com/git-ftp/git-ftp
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/git-ftp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/git-ftp.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/git-ftp.git
 
 Package: git-ftp

## git-ftp 1.3.1

=== Makefile ===
#! /usr/bin/make -f
SHELL=/bin/sh

prefix ?=/usr/local
bindir ?=${prefix}/bin
mandir ?=${prefix}/man/man1

# files that need mode 755
EXEC_FILES=git-ftp

# files that need mode 644
MAN_FILE=git-ftp.1

all:
	@echo "usage: make install     -> installs git-ftp only"
	@echo "       make install-man -> installs man pages only"
	@echo "       make install-all -> installs git-ftp and man pages"
	@echo "       make uninstall"
	@echo "       make uninstall-man"
	@echo "       make uninstall-all"
	@echo "       make clean"

install:
	install -d -m 0755 $(bindir)
	install -m 0755 $(EXEC_FILES) $(bindir)

install-man:
	mkdir -p $(mandir)
	cd man && \
	make man && \
	install -m 0644 $(MAN_FILE) $(mandir)
ifneq "$(shell uname -s)" "Darwin"
	mandb $(mandir)
endif

install-all: install install-man

uninstall:
	test -d $(bindir) && \
	cd $(bindir) && \
	rm -f $(EXEC_FILES)

uninstall-man:
	test -d $(mandir) && rm -rf $(mandir)
ifneq "$(shell uname -s)" "Darwin"
	mandb -f $(mandir)/$(MAN_FILE)
endif

uninstall-all: uninstall uninstall-man

clean:
	cd man && make clean

=== man/Makefile ===
--- 
+++ 
@@ -1,11 +1,19 @@
+# Make a man page
+#
+# You can view the results of editing the man page on the fly:
+#
+#   pandoc -s -w man git-ftp.1.md | man -l -
+#
 SHELL=/bin/sh
 
 # files that need mode 644
 MAN_FILE=git-ftp.1
-HTML_FILE=html/git-ftp.html
+HTML_FILE=git-ftp.html
 
 all:
 	@echo "usage: make man"
+	@echo "       make man-ronn  # use ronn instead of pandoc"
+	@echo "       make html"
 	@echo "       make clean"
 man:
 	pandoc -s \

=== debian/changelog ===
git-ftp (1.3.1-1) unstable; urgency=medium

  * New upstream release [December 2016].
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Dec 2016 17:33:43 +1100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
 Build-Depends: debhelper (>= 9), git, pandoc, perl
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://github.com/git-ftp/git-ftp
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/git-ftp.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/git-ftp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-ftp.git
 
 Package: git-ftp
 Section: vcs

## git-ftp 1.5.1%2Bdfsg

=== debian/changelog ===
git-ftp (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2018].
    + fixed "ftp download can remove .git directory" (Closes: #869818).
  * Standards-Version: 4.1.5
  * debhelper & compat to version 11
  * watch file to version 4
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 06 Jul 2018 04:07:44 +1000

## git-ftp 1.5.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: git-ftp
 Section: utils
 Priority: optional
+Standards-Version: 4.1.5
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
-Build-Depends: debhelper (>= 9), git, pandoc, perl
-Standards-Version: 3.9.8
-Homepage: http://github.com/git-ftp/git-ftp
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/git-ftp.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/git-ftp.git
+Build-Depends: debhelper (>= 11~), git, pandoc, perl
+Homepage: https://github.com/git-ftp/git-ftp
+Vcs-Browser: https://salsa.debian.org/debian/git-ftp
+Vcs-Git: https://salsa.debian.org/debian/git-ftp.git
 
 Package: git-ftp
 Section: vcs

## git-ftp 1.5.2+dfsg

=== debian/changelog ===
git-ftp (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Sep 2019 19:36:14 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: git-ftp
 Section: utils
 Priority: optional
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
-Build-Depends: debhelper (>= 11~), git, pandoc, perl
+Build-Depends: debhelper (>= 12~), git, pandoc, perl
 Homepage: https://github.com/git-ftp/git-ftp
 Vcs-Browser: https://salsa.debian.org/debian/git-ftp
 Vcs-Git: https://salsa.debian.org/debian/git-ftp.git

## git-ftp 1.6.0+dfsg

=== tests/Makefile ===
#! /usr/bin/make -f
SHELL=/bin/sh

all:
	./git-ftp-test.sh

=== debian/changelog ===
git-ftp (1.6.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 12 Feb 2020 12:58:59 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: git-ftp
 Section: utils
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: René Moser <mail@renemoser.net>
-Build-Depends: debhelper (>= 12~), git, pandoc, perl
+Build-Depends: debhelper-compat (= 12), git, pandoc, perl
 Homepage: https://github.com/git-ftp/git-ftp
 Vcs-Browser: https://salsa.debian.org/debian/git-ftp
 Vcs-Git: https://salsa.debian.org/debian/git-ftp.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANPAGES := man/git-ftp.1

%:
	dh $@

override_dh_auto_clean:
	$(RM) $(MANPAGES)

override_dh_auto_install: $(MANPAGES)
	:

$(MANPAGES):
	pandoc --columns=84 --standalone --to=man --output=$@ $@.md
	perl -0pi -e 's{(\s)\-}{$$1\\-}sg;' $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+dfsg,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/git-ftp/git-ftp/releases \
  .*/archive/v?(\d[\d\.]+)\.tar\.gz
